import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:tone_snap/modules/sidea/favourite/favourite_view.dart';
import 'package:tone_snap/modules/sidea/my_voice/my_voice_view.dart';

class MeController extends GetxController with GetSingleTickerProviderStateMixin {
  late TabController tabController;
  final labels = ['My Voice', 'Favourite'];
  final pages = [const MyVoiceView(), const FavouriteView()];

  @override
  void onInit() {
    super.onInit();
    tabController = TabController(length: labels.length, vsync: this);
  }

  @override
  void onClose() {
    tabController.dispose();
    super.onClose();
  }
}
